summaryrefslogtreecommitdiff
path: root/dev-python/PyPDF2/PyPDF2-2.12.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-13 07:12:40 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-13 07:12:40 +0000
commitaaa51f00a3bf68b88256418030207ef7c639e3d3 (patch)
tree222e05fbf8bcd5db382f66210543054556c56e9e /dev-python/PyPDF2/PyPDF2-2.12.1.ebuild
parent55453e9a019b53a67144965dbde8cc039a621451 (diff)
downloadbaldeagleos-repo-aaa51f00a3bf68b88256418030207ef7c639e3d3.tar.gz
baldeagleos-repo-aaa51f00a3bf68b88256418030207ef7c639e3d3.tar.xz
baldeagleos-repo-aaa51f00a3bf68b88256418030207ef7c639e3d3.zip
Adding metadata
Diffstat (limited to 'dev-python/PyPDF2/PyPDF2-2.12.1.ebuild')
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.12.1.ebuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/dev-python/PyPDF2/PyPDF2-2.12.1.ebuild b/dev-python/PyPDF2/PyPDF2-2.12.1.ebuild
new file mode 100644
index 000000000000..9add61a5ea4a
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.12.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=0fe84b30ed33ff3daa9293e44349b8618f135699
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+RESTRICT="test"
+# 150+ tests require network, too many to deselect
+PROPERTIES="test_network"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}